de.esprit.netsuite.server.auth.user

## Interface User

- All Superinterfaces:
    java.lang.Cloneable, java.lang.Comparable, Dumpable, PersistentName, Renderable, java.io.Serializable
  All Known Implementing Classes:
    AbstractDatabaseUser, AbstractUser, DatabaseUser, DefaultUser

      public interface User
      extends java.io.Serializable, Dumpable, java.lang.Cloneable, Renderable, java.lang.Comparable, PersistentName

  This interface defines what makes up a user of the EsprIT server
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `changedTsKey`
    `static java.lang.String` | `commentKey`
    `static java.lang.String` | `createdTsKey`
    `static java.lang.String` | `emailKey`
    `static java.lang.String` | `foreNameKey`
    `static java.lang.String` | `isAdminKey`
    `static java.lang.String` | `isLockedKey`
    `static java.lang.String` | `languageKey`
    `static java.lang.String` | `lastNameKey`
    `static java.lang.String` | `passwordKey`
    `static java.lang.String` | `uidKey`
    `static java.lang.String` | `userNameKey`
    `static java.lang.String` | `usersDocType`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.sql.Timestamp` | `getChangedTimestamp()`
    `java.lang.String` | `getComment()` Returns an optional comment for this user.
    `java.sql.Timestamp` | `getCreatedTimestamp()`
    `java.lang.String` | `getEmailAddress()` Returns the user's email address.
    `java.lang.String` | `getForeName()` Returns the user's forename.
    `Language` | `getLanguage()` Returns the `Language` of this user.
    `java.lang.String` | `getLastName()` Returns the user's lastname.
    `java.lang.String` | `getPassword()` Returns the users password as stored on server side.
    `int` | `getUID()` Returns a unique ID for this user.
    `UserId` | `getUserId()` Returns the UserId as a shortcut for the user identifying data
    `java.lang.String` | `getUserName()` Returns the user's unique login name.
    `boolean` | `isAdmin()` The user is defined to be the admin user if the userType is 0
    `boolean` | `isLocked()` The user is allowed to log in.
    `void` | `setAdmin(boolean isAdmin)`
    `void` | `setChangedTimestamp(java.sql.Timestamp changedTs)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCreatedTimestamp(java.sql.Timestamp createdTs)`
    `void` | `setEmailAddress(java.lang.String email)`
    `void` | `setForeName(java.lang.String foreName)`
    `void` | `setLanguage(Language language)`
    `void` | `setLastName(java.lang.String lastName)`
    `void` | `setLocked(boolean isActive)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setUID(int uid)` Note that once set the uidKey will never change.

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderColor, getRenderIcon, getRenderText`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface de.esprit.appsuite.type.PersistentName

      `getPersistentName`

- - ### Field Detail

    - #### usersDocType

          static final java.lang.String usersDocType

      See Also:
        Constant Field Values

    - #### uidKey

          static final java.lang.String uidKey

      See Also:
        Constant Field Values

    - #### languageKey

          static final java.lang.String languageKey

      See Also:
        Constant Field Values

    - #### userNameKey

          static final java.lang.String userNameKey

      See Also:
        Constant Field Values

    - #### foreNameKey

          static final java.lang.String foreNameKey

      See Also:
        Constant Field Values

    - #### lastNameKey

          static final java.lang.String lastNameKey

      See Also:
        Constant Field Values

    - #### emailKey

          static final java.lang.String emailKey

      See Also:
        Constant Field Values

    - #### isAdminKey

          static final java.lang.String isAdminKey

      See Also:
        Constant Field Values

    - #### isLockedKey

          static final java.lang.String isLockedKey

      See Also:
        Constant Field Values

    - #### passwordKey

          static final java.lang.String passwordKey

      See Also:
        Constant Field Values

    - #### createdTsKey

          static final java.lang.String createdTsKey

      See Also:
        Constant Field Values

    - #### changedTsKey

          static final java.lang.String changedTsKey

      See Also:
        Constant Field Values

    - #### commentKey

          static final java.lang.String commentKey

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUID

          int getUID()

      Returns a unique ID for this user.

    - #### setUID

          void setUID(int uid)

      Note that once set the uidKey will never change. It must be settable anyway because it is typically determined by a database system and thus must be adaptable in the User Object.
      See Also:
        `getUID()`

    - #### getUserName

          java.lang.String getUserName()

      Returns the user's unique login name. This should be a short name with no white spaces and in lower case letters only.

    - #### getForeName

          java.lang.String getForeName()

      Returns the user's forename.

    - #### setForeName

          void setForeName(java.lang.String foreName)

    - #### getLastName

          java.lang.String getLastName()

      Returns the user's lastname.

    - #### setLastName

          void setLastName(java.lang.String lastName)

    - #### getEmailAddress

          java.lang.String getEmailAddress()

      Returns the user's email address.

    - #### setEmailAddress

          void setEmailAddress(java.lang.String email)

    - #### getComment

          java.lang.String getComment()

      Returns an optional comment for this user.

    - #### setComment

          void setComment(java.lang.String comment)

    - #### getPassword

          java.lang.String getPassword()

      Returns the users password as stored on server side. Note that in the implementation the password should be transient in order not to be transferred via the network.

    - #### setPassword

          void setPassword(java.lang.String password)

    - #### isAdmin

          boolean isAdmin()

      The user is defined to be the admin user if the userType is 0

    - #### setAdmin

          void setAdmin(boolean isAdmin)

    - #### isLocked

          boolean isLocked()

      The user is allowed to log in.

    - #### setLocked

          void setLocked(boolean isActive)

    - #### getChangedTimestamp

          java.sql.Timestamp getChangedTimestamp()

    - #### setChangedTimestamp

          void setChangedTimestamp(java.sql.Timestamp changedTs)

    - #### getCreatedTimestamp

          java.sql.Timestamp getCreatedTimestamp()

    - #### setCreatedTimestamp

          void setCreatedTimestamp(java.sql.Timestamp createdTs)

    - #### getUserId

          UserId getUserId()

      Returns the UserId as a shortcut for the user identifying data

    - #### clone

          java.lang.Object clone()

    - #### getLanguage

          Language getLanguage()

      Returns the `Language` of this user. This is the language used for the GUI after Login.

    - #### setLanguage

          void setLanguage(Language language)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.